Base URL
https://api.knoxapi.comRetrieve a ConfirmationToken
GET/v1/confirmation_tokens/{confirmation_token}
Retrieves an existing ConfirmationToken object
Path parameters
confirmation_tokenstringRequired
Query parameters
expandarray of stringsSpecifies which fields in the response should be expanded.
Returns
The confirmation_token object.
GET /v1/confirmation_tokens/{confirmation_token}
curl https://api.knoxapi.com/v1/confirmation_tokens/ctoken_1Pgc73B7WZ01zgkWgFXpfTtv \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('GET', '/v1/confirmation_tokens/ctoken_1Pgc73B7WZ01zgkWgFXpfTtv');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("get", "/v1/confirmation_tokens/ctoken_1Pgc73B7WZ01zgkWgFXpfTtv")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:get, '/v1/confirmation_tokens/ctoken_1Pgc73B7WZ01zgkWgFXpfTtv')Response
{
"created": 1234567890,
"expires_at": 1234567890,
"id": "ctoken_1Pgc73B7WZ01zgkWgFXpfTtv",
"livemode": true,
"mandate_data": {
"customer_acceptance": {
"online": {
"ip_address": null,
"user_agent": null
},
"type": "type"
}
},
"object": "confirmation_token",
"payment_intent": null,
"payment_method_options": {
"card": {
"cvc_token": null
}
},
"payment_method_preview": {
"allow_redisplay": "unspecified",
"billing_details": {
"address": {
"city": "San Francisco",
"country": "US",
"line1": "1234 Fake Street",
"line2": null,
"postal_code": "94102",
"state": "CA"
},
"email": null,
"name": "Jane Austen",
"phone": null,
"tax_id": null
},
"customer": null,
"type": "us_bank_account",
"us_bank_account": {
"account_holder_type": "company",
"account_type": "checking",
"bank_name": "STRIPE TEST BANK",
"financial_connections_account": null,
"fingerprint": "AuoSJ18zsVWV9SPc",
"last4": "6789",
"networks": {
"preferred": "ach",
"supported": [
"ach"
]
},
"routing_number": "110000000",
"status_details": {}
},
"customer_account": null
},
"return_url": "https://example.com/return",
"setup_future_usage": "off_session",
"setup_intent": null,
"shipping": {
"address": {
"city": "San Francisco",
"country": "US",
"line1": "1234 Fake Street",
"line2": null,
"postal_code": "94102",
"state": "CA"
},
"name": "Jenny Rosen",
"phone": null
},
"use_stripe_sdk": true,
"metadata": null
}Operations and schemas come from the pinned Stripe OpenAPI specification (MIT); response examples from its fixtures. Nested object definitions and enums are in the complete specification.